获取 printerShare
命名空间:microsoft.graph
检索打印机共享的属性和关系。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
除以下权限外,用户或应用的租户还必须具有活动的通用打印订阅。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | PrinterShare.ReadBasic.All、PrinterShare.Read.All、PrinterShare.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | 不支持。 |
HTTP 请求
GET /print/shares/{printerShareId}
GET /print/printers/{printerId}/shares/{printerShareId}
可选的查询参数
此方法支持某些 OData 查询参数,包括 $select 和 $expand帮助自定义响应。 例如:
e.g.g.
GET /print/printers/{id}?$select=id,displayName,capabilities
若要了解一般信息,请参阅 OData 查询参数。
例外
- 不支持该
$count运算符。
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 200 OK 响应代码和 printerShare 对象。
默认情况下,响应将不包含 printerCapabilities。 若要获取 printerCapabilities,请使用 $select 查询参数。
示例
示例 1:获取打印机共享
请求
GET https://graph.microsoft.com/v1.0/print/shares/{printerShareId}
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#print/shares/$entity",
"id": "d837c17b-3296-4384-a053-828d56e10f50",
"displayName": "PrinterShare Name",
"createdDateTime": "2020-02-04T00:00:00.0000000Z",
"isAcceptingJobs": true,
"allowAllUsers": false,
"status": {
"state": "stopped",
"details": [
"disconnected"
],
"description": ""
},
"defaults": {
"copiesPerJob": 1,
"finishings": [
"none"
],
"mediaColor": "Unknown",
"mediaType": "stationery",
"mediaSize": "North America Letter",
"pagesPerSheet": 1,
"orientation": "portrait",
"outputBin": "auto",
"inputBin": "auto",
"contentType": "application/oxps",
"fitPdfToPage": false,
"multipageLayout": null,
"colorMode": "color",
"quality": "medium",
"duplexMode": "oneSided",
"dpi": 600,
"scaling": null
},
"location": {
"latitude": 47.6450,
"longitude": -122.1409,
"altitudeInMeters": 3,
"streetAddress": "One Microsoft Way",
"subUnit": [
"Main Plaza",
"Unit 400"
],
"city": "Redmond",
"postalCode": "98052",
"countryOrRegion": "USA",
"site": "Puget Sound",
"building": "Studio E",
"floor": "1",
"floorDescription": "First Floor",
"roomName": "1234",
"roomDescription": "First floor copy room",
"organization": [
"C+AI",
"Microsoft Graph"
],
"subdivision": [
"King County",
"Red West"
],
"stateOrProvince": "Washington"
}
}
示例 2:获取打印机共享及其功能
请求
GET https://graph.microsoft.com/v1.0/print/shares/{printerShareId}?$select=id,displayName,capabilities
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#print/shares/$entity",
"id": "d837c17b-3296-4384-a053-828d56e10f50",
"displayName": "PrinterShare Name",
"capabilities": {
"isColorPrintingSupported": true,
"supportsFitPdfToPage": false,
"contentTypes": [
"application/pdf",
"image/pwg-raster",
"application/PCLm"
],
"isPageRangeSupported": false,
"qualities": [
"medium"
],
"dpis": [
600
],
"duplexModes": [
"oneSided",
"flipOnLongEdge",
"flipOnShortEdge"
],
"finishings": [
"none"
],
"mediaTypes": [
"stationery"
],
"mediaSizes": [
"North America Letter"
],
"outputBins": [
"tray-1"
],
"colorModes": [
"grayscale",
"color"
],
"inputBins": [
"tray-1"
],
"collation": true,
"scalings": [
"fill"
],
"copiesPerJob": {
"start": 1,
"end": 38
}
}
}
反馈
提交和查看相关反馈